#logo {
  @media screen and (max-width: 720px) {
    width: 47vw !important;
    margin: 5vh 0vh 2vh 0vh;
  }
  @media all and (device-width: 768px) and (device-height: 1024px) and (orientation:portrait) {
    width: 25vw !important;
    margin: 5vh 0vh 3vh 0vh;
  }
  @media all and (device-width: 1024px) and (device-height: 768px) and (orientation:landscape) {
    width: 25vw !important;
    margin: 5vh 0vh 3vh 0vh;
  }
  @media all and (device-width: 820px) and (device-height: 1180px) and (orientation:portrait) {
    width: 25vw !important;
    margin: 5vh 0vh 3vh 0vh;
  }
  @media all and (width: 810px) and (height: 1080px) {
    width: 25% !important;
    margin: 5vh 0vh 3vh 0vh;
  }
  @media all and (width: 1080px) and (height: 810px) {
    width: 24% !important;
    margin: 5vh 0vh 3vh 0vh;
  }
  @media all and (width: 800px) and (height: 1280px) {
    width: 25% !important;
    margin: 5vh 0vh 3vh 0vh;
  }
  @media all and (width: 1280px) and (height: 800px) {
    width: 24% !important;
    margin: 5vh 0vh 3vh 0vh;
  }
  @media all and (device-width: 1180px) and (device-height: 820px) and (orientation:landscape) {
    width: 25vw !important;
    margin: 5vh 0vh 3vh 0vh;
  }
  @media screen and (width: 375px) and (height: 667px) {
    width: 40vw !important;
  }
}

#tags {
  @media screen and (max-width: 380px) {
    max-height: 50vh !important;
    overflow-y: scroll;
  }

  @media screen and (min-width: 412px) and (max-width: 428px) {
    width: 95%;
  }

  @media screen and (max-height: 780px) {
    max-height: 50vh !important;
    overflow-y: scroll;
  }
  @media screen and (max-width: 820px) {
    max-height: 50vh;
    overflow-y: scroll;
  }
  @media all and (device-width: 768px) and (device-height: 1024px) and (orientation:portrait) {
    max-height: 70vh;
    overflow-y: scroll;
  }
  @media all and (device-width: 1024px) and (device-height: 768px) and (orientation:landscape) {
    max-height: 80vh;
    overflow-y: scroll;
  }
  @media all and (device-width: 820px) and (device-height: 1180px) and (orientation:portrait) {
    max-height: 50vh;
    overflow-y: scroll;
  }
  @media all and (device-width: 1180px) and (device-height: 820px) and (orientation:landscape) {
    max-height: 80vh;
    overflow-y: scroll;
  }
}

#message_btn {
  @media screen and (max-width: 720px) {
    font-size: 14px;
  }
}

.chat-link {
  @media screen and (max-width: 720px) {
    font-size: 13px;
  }
}

#filtered {
  @media screen and (max-width: 720px) {
    overflow-y: scroll;
  }
}

#tg_desktop {
  @media screen and (max-width: 820px) {
    display: none !important;
  }
}

.extension-inner {
  @media screen and (max-width: 820px) {
    max-height: 118px;
    margin-bottom: 8px;
  }
}

.no-height-inner {
  @media screen and (max-width: 820px) {
    min-height: max-content !important;
    height: max-content !important;
    max-height: max-content !important;
  }
}

#footer a {
  @media screen and (max-width: 820px) {
    font-size: 13px !important;
  }
}

#footer {
  @media screen and (max-width: 820px) {
    height: 45px !important;
  }
}

#card-area {
  @media screen and (max-width: 820px) {
    margin-top: 18px !important;
  }
}


#tags-area {
  @media screen and (min-height: 1080px) {
    height: 60vh;
  }

  @media screen and (min-height: 1280px) and (min-width: 1920px) {
    height: 40vh;
  }

  @media screen and (height: 667px) and (width: 375px) {
    height: 50vh;
  }

  @media screen and (max-height: 800px) and (width: 360px) {
    height: 50vh;
  }

  @media screen and (max-height: 729px) and (max-width: 720px) {
    height: 48.5vh;
  }

  @media screen and (max-width: 428px) and (min-height: 812px) {
    height: 50vh;
  }

  @media screen and (min-width: 380px) and (max-height: 740px) {
    height: 44vh;
  }

}

#tags ul li {
  @media screen and (max-width: 820px) {
    font-size: 11px;
    margin: 3px 4px;
  }

  @media screen and (width: 360px) {
    font-size: 11px;
  }

  @media screen and (width: 375px) and (height: 667px) {
    font-size: 11px;
    margin: 2px;
  }
}



@media screen and (-webkit-min-device-pixel-ratio:0) and (min-width: 1024px)
{ 
    #tags-area { height: 35vh; }
    #tags { overflow-y: hidden !important; }
    #tags ul li { font-size: 12px !important; } 
}

@media screen and (min-width: 1920px) and (min-height: 1080px) {
  #tags ul li {
    font-size: 18px !important;
  }

  #topmenu li a {
    font-size: 24px !important;
  }

  .ico_large {
    width: 32px;
    height: 32px;
  }

  #message_btn {
    font-size: 32px;
    padding: 10px;
  }

  #footer a {
    font-size: 23px;
  }

  .chat-link {
    margin-top: 28px;
    font-size: 24px;
  }

  #availability {
    font-size: 22px;
  }

  #tags-area {
    height: 27vh;
  }

  #logo {
    width: 40% !important;
    margin: 5vh 0vh 2vh 0vh;
  }

  h2 {
    font-size: 2.8rem;
  }

  h3 {
    font-size: 28px;
  }

  .extension-inner p {
    font-size: 24px;
    font-weight: lighter;
  }

  .extension-inner {
    height: 312px;
    padding: 6px;
  }

  #filter li {
    font-size: 22px;
  }
}
